Bug 222328 - video driver i810 with 1440x900. using 915resolution sets wrong timings - image shifted
video driver i810 with 1440x900. using 915resolution sets wrong timings - ima...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: 915resolution (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 13:26 EST by Reiner Wilhelms
Modified: 2008-03-19 04:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 04:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hacked915resolution.c (27.76 KB, text/x-csrc)
2007-01-11 13:26 EST, Reiner Wilhelms
no flags Details
tar.gz file containing hacked915resolution.c, README, and Makefile (20.30 KB, application/x-gzip)
2007-01-16 14:33 EST, Reiner Wilhelms
no flags Details

  None (edit)
Description Reiner Wilhelms 2007-01-11 13:26:42 EST
Description of problem: 

915resolution sets wrong horizontal and vertical synchronization times if the
Bios type is 2 or 3. I modified 915resolution to fix this problem.

This occured for a Dell Dimension 3000 with integrated Intel graphics controller
865G, and using the video driver i810. I tried to set the video mode for
1440x900@60 Hz in xorg.conf as 

Modeline "1440x900"  106.50  1440 1528 1672 1904  900 903 909 934 -hsync +vsync

and the bios is patched using (/etc/rc.local):

915resolution 1440 900 16 1904 934

It is then possible to select this mode and the screen is clear. However, the
screen is shifted by about 50 mm to the right which is too far for some monitors
to adjust. (I use a Samsung 940BW monitor).




Version-Release number of selected component (if applicable): 
915resolution Version 0.5.2 and higher.


How reproducible:


Steps to Reproduce:
1. use Modeline "1440x900"  106.50  1440 1528 1672 1904  900 903 909 934 -hsync
+vsync
in xorg.conf
put 915resolution 1440 900 16 1904 934
and similar into /etc/rc.local
reboot. 

2. one needs a monitor capable of 1440x900 (widescreen) I used Samsung 940BW 
3.
  
Actual results: Image on the screen shifted far to the right, unadjustable.


Expected results: crisp image and centered.


Additional info: I have a patch for 915resolution. The discussion is
here:

http://www.linuxquestions.org/questions/showthread.php?t=516889

See also the attached modified version hacked915resolution.c
Comment 1 Reiner Wilhelms 2007-01-11 13:26:42 EST
Created attachment 145376 [details]
hacked915resolution.c
Comment 2 Reiner Wilhelms 2007-01-16 14:33:55 EST
Created attachment 145720 [details]
tar.gz file containing hacked915resolution.c, README, and Makefile
Comment 3 Chris Weyl 2007-05-01 00:03:18 EDT
0.5.3 was just built and released.  Does it resolve your problems, by any chance?
Comment 4 Reiner Wilhelms 2007-05-09 13:59:54 EDT
Sorry didn't get to this. I'm still using my hacked915resolution. I'm a little
hesitant to get into this right now as I'm quite busy with other stuff. However,
I had a look at the source of the new version 5.3 just now and see that there are
now actual timing calculations in the program replacing my hack by a clean new
function gtf_timings() - That's great. At the moment I admit I don't even
remember how to go back to using 915resolution. I want to use it when I upgrade
to the soon coming FC7. 

Note You need to log in before you can comment on or make changes to this bug.